matrix:
  platform:
    - debian10
    - debian11
    - ubuntu2004
    - ubuntu2204
    - macos
    - macos_arm64
    - windows
  bazel:
    - 7.x
    - 8.x
    - 9.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    test_targets:
      - "@libgit2//..."
  verify_targets_openssl:
    name: Verify build targets (OpenSSL)
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    test_flags:
      - "--@libgit2//:use_https=openssl"
    test_targets:
      - "@libgit2//..."
  verify_targets_ssh_exec:
    name: Verify build targets (ssh exec)
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    test_flags:
      - "--@libgit2//:use_ssh=exec"
    test_targets:
      - "@libgit2//..."
  verify_targets_ssh_libssh2:
    name: Verify build targets (ssh libssh2)
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    test_flags:
      - "--@libgit2//:use_ssh=libssh2"
    test_targets:
      - "@libgit2//..."
  verify_targets_combined:
    name: Verify build targets (Combined)
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    test_flags:
      - "--@libgit2//:use_ssh=libssh2"
      - "--@libgit2//:use_https=openssl"
    test_targets:
      - "@libgit2//..."
